%global srcname virtkey
%global sum Python extension for emulating keypresses and getting current keyboard layout
%global ver 0.63.0
%global shortver 0.63

Name:           python-%{srcname}
Version:        0.63.0
Release:        1%{?dist}
Summary:        %{sum}

Group:          Development/Languages
#missing copy of GPL, licensing info in source file
License:        GPLv2+
URL:            https://launchpad.net/virtkey
Source0:        http://launchpad.net/virtkey/trunk/%{shortver}/+download/%{srcname}-%{version}.tar.gz
#Patch0:         virtkey-gdk-pixbuf-headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, python3-devel
BuildRequires:  libXtst-devel, gtk2-devel, glib2-devel, libxkbfile-devel

%description
%{sum}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{sum}


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{sum}

%prep
%autosetup -n %{srcname}-%{version}
#%patch0 -p1

# move this here for so the doc macro can pick it up in files section
mv docs/api.txt api.txt

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license COPYING
%doc README NEWS AUTHORS api.txt
%{python2_sitearch}/*

%files -n python3-%{srcname}
%license COPYING
%doc README NEWS AUTHORS api.txt
%{python3_sitearch}/*

%changelog
* Thu Sep 08 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.63-1
- Update to latest upstream
- Provide python2 and python3 subpackages (BZ#1309264)
- Update to latest python packaging guidelines and rpm macros

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-19
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.50-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 16 2011 Adam Jackson <ajax@redhat.com> 0.50-10
- Rebuild to break bogus libpng dep

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.50-8
- Patch to find gdk-pixbuf2 headers

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.50-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.50-4
- Rebuild for Python 2.6

* Thu May 22 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.50-3
- Add patch to fix 64bit build issue, thanks Parag and Ivazquez
* Tue May 06 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.50-2
- Add missing glib2-devel build dependency
* Tue May 06 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.50-1
- Initial build
